org.vishia.gral.base

## Class GralCurveView.DataOrganisation

- java.lang.Object
- - org.vishia.gral.base.GralCurveView.DataOrganisation

- Enclosing class:
    GralCurveView

      protected static class GralCurveView.DataOrganisation
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `bWrappedInBuffer` Set to true if the data are wrapped in the buffer.
    `int` | `ixDataEndAutoSave` Index in the `GralCurveView.Track.values` where the last auto write was done.
    `int` | `ixDataEndSave`
    `int` | `ixDataStartAutoSave` Index in the `GralCurveView.Track.values` where the last auto write was done.
    `int` | `ixDataStartSave`
    `protected int` | `zPixelDataShown` The number of array elements which are used in `#ixDataShown` for the current view.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DataOrganisation()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ixDataStartAutoSave

          public int ixDataStartAutoSave

      Index in the `GralCurveView.Track.values` where the last auto write was done. See `GralCurveView.timeInitAutoSave()`.

    - #### ixDataEndAutoSave

          public int ixDataEndAutoSave

      Index in the `GralCurveView.Track.values` where the last auto write was done. See `GralCurveView.timeInitAutoSave()`.

    - #### ixDataStartSave

          public int ixDataStartSave

    - #### ixDataEndSave

          public int ixDataEndSave

    - #### zPixelDataShown

          protected int zPixelDataShown

      The number of array elements which are used in `#ixDataShown` for the current view. Either the display size is less, then this is less then 2000. It is the usual case. Or the number of available data are less, the it is lesser than the pixel size of the curve.

    - #### bWrappedInBuffer

          boolean bWrappedInBuffer

      Set to true if the data are wrapped in the buffer. If false, there are less data.

  - ### Constructor Detail

    - #### DataOrganisation

          protected DataOrganisation()